For AI agents: the complete documentation index is available at https://docs.snaptrade.com/llms.txt, and the full documentation text is available at https://docs.snaptrade.com/llms-full.txt. Markdown versions of documentation pages are available by appending .md to the URL path.
View as Markdown
Trading

Get option quote

BETA
get
https://api.snaptrade.com/accounts/{accountId}/quotes/options

Returns a quote for a single option contract. The option contract is specified using in the 21 character OCC format. For example AAPL 251114C00240000 represents a call option on AAPL expiring on 2025-11-14 with a strike price of $240. For more information on the OCC format, see here Note: These are derived values and are not suitable for trading purposes.

Execute an API Request

Authentication Method

Use commercial authentication when acting on behalf of your application and passing end-user credentials with requests that require them.

Credentials
Path
accountIdstring (format: uuid)required

Unique identifier for the connected brokerage account. This is the UUID used to reference the account in SnapTrade.

Query
symbolstringrequired

The OCC-formatted option symbol.

Request
Installation
$
npm install snaptrade-typescript-sdk
1
import {
2
Snaptrade,
3
SnaptradeAuth,
4
} from "snaptrade-typescript-sdk";
5
6
const snaptrade = new Snaptrade({
7
auth: SnaptradeAuth.commercialApiKey({
8
consumerKey: "CONSUMER_KEY",
9
clientId: "CLIENT_ID",
10
}),
11
});
12
13
const response =
14
await snaptrade.trading.getUserAccountOptionQuotes(
15
{
16
accountId:
17
"917c8734-8470-4a3e-a18f-57c3f2ee6631",
18
symbol: "AAPL 251219C00150000",
19
userId: "USER_ID",
20
userSecret: "USER_SECRET",
21
},
22
);
23
console.log(response.data);

Response fields

object

Real-time quote for a single option contract.

symbolstring

The OCC-formatted option symbol.

The derived synthetic price of the contract.

The implied volatility of the option contract.

timestampstring (format: date-time) or null

The timestamp of the last update for the option quote.

greeksobject

The Greeks for the option contract.

1
{
2
"symbol": "AAPL 251219C00150000",
3
"synthetic_price": 150.25,
4
"implied_volatility": 0.32145678,
5
"timestamp": "2026-01-15T14:30:00.000Z",
6
"greeks": {
7
"delta": 0.5,
8
"gamma": 0.1,
9
"theta": -0.05,
10
"vega": 0.2
11
}
12
}